Upload marketing asset
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/assets/upload \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/assets/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/assets/upload"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePhotoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"proxyUrl": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Assets
Upload marketing asset
Requires write:marketing-assets. Multipart form with file (optional folderId, name, description). Stores blob + media + asset row.
POST
/
api
/
v1
/
marketing
/
assets
/
upload
Upload marketing asset
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/assets/upload \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/assets/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/assets/upload"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePhotoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"proxyUrl": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I